cURL
curl --request POST \
--url https://test.deribit.com/api/v2/private/approve_block_trade \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 1,
"method": "private/approve_block_trade",
"params": {
"timestamp": 1711468813551,
"nonce": "bt-468nha",
"role": "maker"
}
}'{
"jsonrpc": "2.0",
"result": "ok",
"id": 123
}Block Trade
private/approve_block_trade
Approves a pending Block Trade. nonce and timestamp are used to identify the Block Trade while role should be opposite to the trading counterparty.
Use private/get_block_trade_requests to retrieve pending Block Trades that require approval.
To use the Block Trade approval feature, an additional API key setting feature called enabled_features: block_trade_approval is required. This key has to be given to the broker/registered partner who performs the trades on behalf of the user for the feature to be active. If the user wants to approve the trade, they must approve it from a different API key that doesn’t have this feature enabled.
📖 Related Article: Block Trading
Scope: block_trade:read_write
cURL
curl --request POST \
--url https://test.deribit.com/api/v2/private/approve_block_trade \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 1,
"method": "private/approve_block_trade",
"params": {
"timestamp": 1711468813551,
"nonce": "bt-468nha",
"role": "maker"
}
}'{
"jsonrpc": "2.0",
"result": "ok",
"id": 123
}Query Parameters
Was this page helpful?